API ReferenceBilling
Create a Top-up Order
Open a Razorpay order for a one-off credit top-up pack
Org admin only. Returns a Razorpay order to complete client-side via Razorpay Checkout, then confirm with Verify a Payment. Returns 503 if Razorpay isn't configured for this deployment.
Header Parameters
X-API-Key?string|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/billing/topup" \ -H "Content-Type: application/json" \ -d '{ "pack_id": "string" }'{ "order_id": "string", "amount": 0, "currency": "string", "razorpay_key_id": "string"}